Bug 844249

Summary: boot panic regression introduced in 3.5-rc7
Product: [Fedora] Fedora Reporter: CAI Qian <caiqian>
Component: kernelAssignee: Kernel Maintainer List <kernel-maint>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: high Docs Contact:
Priority: unspecified    
Version: 18CC: gansalmon, itamar, jonathan, kernel-maint, madhu.chinakonda, robatino
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
: 846888 (view as bug list) Environment:
Last Closed: 2012-09-23 01:04:04 EDT Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On:    
Bug Blocks: 752661, 846888    

Description CAI Qian 2012-07-30 02:16:13 EDT
Description of problem:
http://marc.info/?l=linux-kernel&m=134362060817024&w=2
Comment 1 CAI Qian 2012-08-08 22:43:07 EDT
The latest patch to fix it.
http://marc.info/?l=linux-kernel&m=134445489307060&w=2
Comment 2 Josh Boyer 2012-08-15 08:46:25 EDT
I'm not really sure I agree this is a blocker.  It's been seen on exactly 1 machine, which had a BIOS set to a crazy date in the future.
Comment 3 Prarit Bhargava 2012-08-15 08:58:01 EDT
This isn't really that big of a deal.  The reality is that you're only going to hit this bug if you've set your BIOS year to greater than the year 2400.

It will obviously be fixed in mainline, but IMO, it's not a critical fix.

P.
Comment 4 Josh Boyer 2012-08-21 11:11:23 EDT
The patch is queued up in tip now.  I'll try and find it amongst the forest of Ingo and put it in rawhide/f18.
Comment 5 Josh Boyer 2012-08-24 08:15:39 EDT
I was out yesterday and in the meantime the commit wound up in Linus' tree.  This is fixed with kernel-3.6.0-0.rc3.git1.1.fc18
Comment 6 Fedora Update System 2012-09-07 20:53:26 EDT
kernel-3.6.0-0.rc4.git2.1.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.6.0-0.rc4.git2.1.fc18
Comment 7 Fedora Update System 2012-09-08 15:25:14 EDT
Package kernel-3.6.0-0.rc4.git2.1.fc18:
* should fix your issue,
* was pushed to the Fedora 18 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing kernel-3.6.0-0.rc4.git2.1.fc18'
as soon as you are able to, then reboot.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2012-13608/kernel-3.6.0-0.rc4.git2.1.fc18
then log in and leave karma (feedback).
Comment 8 Fedora Update System 2012-09-17 15:28:42 EDT
kernel-3.6.0-0.rc6.git0.2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/kernel-3.6.0-0.rc6.git0.2.fc18
Comment 9 Fedora Update System 2012-09-23 01:04:04 EDT
kernel-3.6.0-0.rc6.git0.2.fc18 has been pushed to the Fedora 18 stable repository.  If problems still persist, please make note of it in this bug report.